@media screen and (max-width: 580px) and (min-width: 0px) {
    h1,
    p,
    .link-container {
        width: 80%;
    }
}

@media screen and (min-width: 650px) and (min-height: 0px) and (max-height: 750px) {
    .link-container {
        margin-top: 12px;
    }

    h1 {
        margin-top: 10px;
        margin-bottom: 10px;
    }
}

body {
    margin: 0px;
    justify-content: center;
    width: 100vw;
    min-height: 750px;
    background-color: #ddd;
    font-family: Arial, sans-serif;
}

h1 {
    font-family: 'DM Sans', sans-serif;
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 0px;
    text-align: center;
    margin: 8px;
    color: #fff;
}

h2 {
    font-family: 'DM Sans', sans-serif;
    font-size: 22px;
    font-weight: 700;
    letter-spacing: 0px;
    text-align: center;
    margin: 8px;
    color: #36344D;
}

.header {
    width: 100%;
    height: 70px;
    display: flex;
    margin: 0;
    padding: 0;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background-color: #36344D;
}

.power-indicator {
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    margin-top: 10px;
}

.on {
    background-color: green !important;;
}

.off {
    background-color: red !important;;
}

.menu {
    background-color: #333;
    padding: 2px;
}

.menu a {
    color: white;
    padding: 10px;
    text-decoration: none;
    display: inline-block;
}

.menu a:hover {
    background-color: #575757;
}

.content {
    margin-left: 40px;
    margin-right: 40px;
}

.filter select {
    padding: 10px 50px;
    background-color: #1e1e2f;
    color: #ffffff;
    border: 1px solid #4d4d6b;
    border-radius: 5px;
    font-size: 14px;
    outline: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease;
    appearance: none;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.filter select:hover {
    border-color: #00c8ff;
    box-shadow: 0 0 10px rgba(0, 200, 255, 0.4);
}

.filter label {
    color: #cccccc;
    font-weight: bold;
    margin-right: 10px;
}

.filter {
    margin-bottom: 20px;
}

.gauge-wrapper {
    position: relative;
    width: 220px;
    height: 220px;
}

.gauge {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: conic-gradient(green 0%, yellow 50%, red 100%);
    mask-image: radial-gradient(circle at center, transparent 60%, black 61%);
    -webkit-mask-image: radial-gradient(circle at center, transparent 60%, black 61%);
    transform: rotate(-90deg);
}

.value-display {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2.5em;
    color: #333;
}

